{
	code: "tileslab",
	inheritFrom: "blocktypes/clay/brickslab",
	variantgroups: [
		{ code: "format", "states": [ "2x2" ] },
		{ code: "pattern", "states": [ "plain" ] },
		{ code: "rock", "states": [ "travertine" ] },
		{ code: "rot", states: ["north", "east", "south", "west", "up", "down"] },
		{ code: "cover", states: ["free", "snow"] }
	],
	shapeByType: {
		"*-snow": { base: "block/basic/slab/snow-slab-{rot}" },
		"*": { base: "block/basic/slab/slab-{rot}" },
	},
	textures: {
		horizontals: {base: "block/stone/tiles/{rock}*" },
		up: {base: "block/stone/tiles/{rock}*" },
		down: {base: "block/stone/tiles/{rock}*" },
	},
	attributes: {
		canChisel: true,
		chiselShapeFromCollisionBox: true,
		handbook: {
			groupBy: ["tile-*"]
		},
		liquidBarrierOnSidesByType: {
		   "*-down-*": [ 0.5, 0.5, 0.5, 0.5 ]
		}
	},
	drops: [
		{ code: "tileslab-{format}-{pattern}-{rock}-down-free" }
	]
}